Package org.apache.commons.fileupload2.core

# Class AbstractSizesTest<AFU extends org.apache.commons.fileupload2.core.AbstractFileUpload<R,I,F>,R,I extends org.apache.commons.fileupload2.core.FileItem<I>,F extends org.apache.commons.fileupload2.core.FileItemFactory<I>>

java.lang.Object
org.apache.commons.fileupload2.core.AbstractTest<AFU,R,I,F>
org.apache.commons.fileupload2.core.AbstractSizesTest<AFU,R,I,F>

Type Parameters:
  `AFU` - The FileUpload type.
  `R` - The FileUpload request type.
  `I` - The FileItem type.
  `F` - The FileItemFactory type.

public abstract class AbstractSizesTest<AFU extends org.apache.commons.fileupload2.core.AbstractFileUpload<R,I,F>,R,I extends org.apache.commons.fileupload2.core.FileItem<I>,F extends org.apache.commons.fileupload2.core.FileItemFactory<I>> extends AbstractTest<AFU,R,I,F>
Unit test for items with varying sizes.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractSizesTest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `testFileSizeLimit()`
  Checks, whether limiting the file size works.
  `void`
  `testFileSizeLimitWithFakedContentLength()`
  Checks, whether a faked Content-Length header is detected.
  `void`
  `testMaxSizeLimit()`
  Checks whether maxSize works.
  `void`
  `testMaxSizeLimitUnknownContentLength()`

  ### Methods inherited from class org.apache.commons.fileupload2.core.AbstractTest

  `newFileUpload, newMockHttpServletRequest, newMockHttpServletRequest, newMockHttpServletRequest`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AbstractSizesTest

    public AbstractSizesTest()

- ## Method Details

  - ### testFileSizeLimit

    @Test public void testFileSizeLimit() throws IOException
    Checks, whether limiting the file size works.
    Throws:
      `IOException` - Test failure.

  - ### testFileSizeLimitWithFakedContentLength

    @Test public void testFileSizeLimitWithFakedContentLength() throws IOException
    Checks, whether a faked Content-Length header is detected.
    Throws:
      `IOException` - Test failure.

  - ### testMaxSizeLimit

    @Test public void testMaxSizeLimit() throws IOException
    Checks whether maxSize works.
    Throws:
      `IOException` - Test failure.

  - ### testMaxSizeLimitUnknownContentLength

    @Test public void testMaxSizeLimitUnknownContentLength() throws IOException
    Throws:
      `IOException`